/**
 * All the models in the application
 */

import BaseAPI from './base/base';

import Menu from './menus/menus';

import MenuRole from './menu-roles/menu-roles';

import Page from './pages';

import Model from './models/models';

import User from './users/users';

import Role from './roles/roles';

import BaseLoaderAPI from './base-loader';


import LookupType from './lookup-types/lookup-types';

import LookupValue from './lookup-values/lookup-values';

import ModelColumn from './model-columns';

import Group from './groups';

import DashboardModel from './dashboard/dashboard';

import CoreScript from './core-scripts/core-scripts';

import UserRole from './user-roles/user-roles';

const MenusAPI = new Menu();

const MenuRolesAPI = new MenuRole();

const PagesAPI = new Page();

const ModelsAPI = new Model();

const UsersAPI = new User();

const LookupTypesAPI = new LookupType();

const LookupValuesAPI = new LookupValue();

const ModelColumnsAPI = new ModelColumn();

const GroupsAPI = new Group();

const RolesAPI = new Role();

const UserRolesAPI = new UserRole();


const Dashboard = new DashboardModel();

// const BaseLoaderAPI = new BaseLoader();

const CoreScripts = new CoreScript()


export {
    BaseAPI,
    BaseLoaderAPI,
    // BaseLoaderAPI,
    MenusAPI,
    MenuRolesAPI,

    UserRolesAPI,

    PagesAPI,
    ModelsAPI,
    UsersAPI,
    LookupTypesAPI,
    LookupValuesAPI,
    ModelColumnsAPI,
    GroupsAPI,

    RolesAPI,

    Dashboard,

    CoreScripts
};
